﻿function drawChart(data, id) {
    var passed = data.Passed;
    var failed = data.Failed;
    var total = passed + failed;

    var table = google.visualization.arrayToDataTable([
      ['Status', 'Number of tests'],
      ['Passed', passed],
      ['Not Executed', 0],
      ['Failed', failed]
    ]);

    var options = {
        height: 300,
        width: 300,
        backgroundColor: 'transparent',
        pieHole: 0.5,
        pieSliceText: 'value',
        pieSliceTextStyle: {
            color: 'black',
        },
        slices: {
            0: { color: '#5bb883' },
            1: { color: '#ffc37e' },
            2: { color: '#e06e50' }
        },
        legend: 'none',
        chartArea: {
            top: 50,
            left: 60
        },
        enableInteractivity: false
    };

    var chart = new google.visualization.PieChart(document.getElementById(id));
    chart.draw(table, options);

    $('#' + id + '-overlay').html(total);
}